lsof (4.95.0-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch to pull in the linux-specific upstream version, and
    properly mangle the new upstream version format.
  * Drop excluded files from debian/copyright, and stop repacking as
    +dfsg. The uw dialect stuff is gone (again, linux-specific), and
    that stray a.out file went away.
  * Update patches:
    - patches/examples: drop, merged upstream (with improvements).
    - patches/manpage: drop, merged upstream.
    - patches/obsolete: drop, merged upstream.
    - patches/preset-ccdate: drop, merged upstream.
    - patches/tests: refresh.

 -- Andres Salomon <dilinger@debian.org>  Thu, 28 Apr 2022 04:08:23 +0000

lsof (4.94.0+dfsg-1) unstable; urgency=low

  * New upstream release (closes: #1004521).
  * Ack NMU; thanks Kentaro! (closes: #950601).
  * Upstream now processes the manpage for us, so we can drop the call to
    soelim and even the entire dh_installman override hook.
  * Clean up a bunch of lintian warnings, use debhelper compat level 12,
    and update standards version.
  * Drop a stray a.out binary that ended up in upstream's tarball.
  * Drop Suggests: perl. The higher dh compat now automatically compresses
    the example perl scripts, so manually installing perl can just be
    another step to running those scripts if desired (closes: #880553).
  * Update patches:
    - patches/manpage: renamed manpage from Lsof.8 to lsof.8
    - patches/preset-ccdate: drop all the non-linux dialect patches, and
      drop all the fancy logic; just delete LSOF_CCDATE.
    - patches/ftbfs: drop patch; merged upstream.

 -- Andres Salomon <dilinger@debian.org>  Sun, 10 Apr 2022 00:54:02 -0400

lsof (4.93.2+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules
    - Use soelim to fix unreadable manpage. It depends groff-base.
      Thanks Roderich Schupp (Closes: #950601)

 -- Kentaro Hayashi <kenhys@xdump.org>  Thu, 19 Nov 2020 21:35:27 +0900

lsof (4.93.2+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Now hosted on github with a new upstream; update new upstream urls
    in debian/copyright, debian/watch, etc.
  * Drop the ancient debian/repack* stuff, use uscan's repack instead.
  * include ftbfs patch for newer glibc. Thanks Mathieu! (closes: #926716)
  * Override manpage install in debian/rules to make manpage match command
    name; need to fix upstream.

 -- Andres Salomon <dilinger@debian.org>  Tue, 03 Sep 2019 13:52:06 +0000

lsof (4.91+dfsg-1) unstable; urgency=low

  * New upstream release (closes: #911818).
    - fixes build failures with newer glibc (closes: #916160).
    - debian/repack.local: Adjust for 4.91.
  * Ack NMU (closes: #798315).
  * Take over maintenance with Norbert's permission. Thanks for your
    work, Norbert! (closes: #917937).
  * Fix synopsis to start with lowercase letter (closes: #803973).

 -- Andres Salomon <dilinger@debian.org>  Sat, 12 Jan 2019 09:23:59 +0000

lsof (4.89+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  [ Nicholas Bamber ]
  * Corrected copright stanza
  * Added patch to modernize Perl usage
  * Dropped Perl dependency to Suggests (Closes: #694351)

  [ Laurent Bigonville ]
  * New upstream release (Closes: #764417)
    - Refresh debian/patches/manpage
  * debian/control: Add libselinux1-dev to the build-dependencies for linux
    architectures (Closes: #751967)
  * debian/repack.local: Adjust the file to be able to import version 4.89
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)
  * debian/control: Update the VCS URL to please lintian
  * debian/control: Remove Nicholas Bamber from the uploaders list (Closes:
    #739359)
  * debian/copyright: Use BSD-4-clause has short name instead of just BSD
  * debian/rules: Fix cross-compilation, thanks to Colin Watson for the patch
    (Closes: #694914)
  * debian/patches/preset-ccdate, debian/rules: Prevent recording of details
    of the build environment to ensure build reproducibility (Closes: #762433)
  * debian/control: Remove Raoul Gunnar Borenius from the Uploaders list per
    his request

 -- Laurent Bigonville <bigon@debian.org>  Sun, 13 Sep 2015 23:40:56 +0200

lsof (4.86+dfsg-1) unstable; urgency=low

  [ Nicholas Bamber ]
  * Imported into git.debian.org and documented procedures in README.source

  [ Raoul Gunnar Borenius ]
  * New upstream release (Closes: #596393) and (Closes: #520587)
  * packaging is now done with plain debhelper.
  * updated debian/control (added Uploaders:, include
    upstream homepage, bumped standards version, etc.)
  * changed debian/copyright to latest format
  * added debian/patches/examples to correct path to perl interpreter 
  * added debian/patches/manpage to add missing escape signs in
    manpage 
  * added watch file and uscan helper files (repack.stub, repack.local)
    in preparation for downloading and dfsg-repackaging of the newest source. 

  [ Nicholas Bamber ]
  * New upstream release (4.86) and refreshed manpage patch
  * Added additional mirrors to watch file
  * Marked examples patch as not requiring forwarding
  * Removed obsolete debian/control clauses
  * Enabled all tests apart from the NFS based test
  * Passed '-n freebsd' to ./Configure on freebsd builds (cf. #589103)
  * Added main comment to debian/copyright explaining modifications
    to upstream tarball and added missing copyright stanzas

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Wed, 25 Apr 2012 07:11:12 +0100

lsof (4.81.dfsg.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * changed path to perl interpreter in examples (Closes: #544533) 

 -- Raoul Gunnar Borenius <borenius@dfn.de>  Sun, 26 Feb 2012 00:20:17 +0100

lsof (4.81.dfsg.1-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 18 Feb 2009 13:38:26 +0100

lsof (4.80.dfsg.1-1) experimental; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 04 Sep 2008 17:35:52 +0200

lsof (4.79~J-1) experimental; urgency=low

  * New upstream prerelease with support for file offsets.

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 04 Oct 2007 20:08:23 +0200

lsof (4.78.dfsg.1-3) unstable; urgency=low

  [ Justin Pryzby ]
  * Fix FTBFS if built twice in a row. (closes: #424550)
  * Fix dh_install in debian/rules to get proper permissions of the
    lsof binary. (closes: #427683)
  * Fix incorrect handling of nostrip build option. (closes: #437539)

  [ Norbert Tretkowski ]
  * Include upstream changelog. (closes: #377598)

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 08 Sep 2007 19:00:47 +0200

lsof (4.78.dfsg.1-2) unstable; urgency=low

  * Finally set myself as maintainer.

 -- Norbert Tretkowski <nobse@debian.org>  Mon,  7 May 2007 20:04:41 +0200

lsof (4.78.dfsg.1-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Sat,  5 May 2007 18:37:18 +0200

lsof (4.77.dfsg.1-3) unstable; urgency=low

  * Readded scripts which got lost with the upload of 4.77.dfsg.1-1.
  * Documented the usage of example scripts. (closes: #184491)

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 15 May 2006 18:08:45 -0500

lsof (4.77.dfsg.1-2) unstable; urgency=low

  * Removed lsof-2.2 dummy package. (closes: #302732, #367269)
  * Updated standards-version to 3.7.2.0, no changes required.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 14 May 2006 19:07:12 -0500

lsof (4.77.dfsg.1-1) unstable; urgency=low

  * Complete rewrite of build-sytem based on debhelper.
  * New upstream release. (closes: #365095)
    + No longer fails on mmaped files whose names contains spaces.
      (closes: #323333)
  * Documented the reason for repackaging the original upstream tarball.
    (closes: #364348)

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 10 May 2006 10:29:48 -0500

lsof (4.76.dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Updated standards-version to 3.6.2.0, no changes required.

 -- Norbert Tretkowski <nobse@debian.org>  Fri,  2 Sep 2005 09:09:16 +0200

lsof (4.75.dfsg.1-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Wed,  8 Jun 2005 19:29:42 +0200

lsof (4.74.dfsg.3-2) unstable; urgency=medium

  * Removed conflicts from lsof-2.2 package.

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 22 Mar 2005 13:09:25 +0100

lsof (4.74.dfsg.3-1) unstable; urgency=high

  * Removed line in package description about supported kernels.
    (closes: #276117)
  * Re-added support for non-Linux ports. (closes: #300171)

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 18 Mar 2005 10:13:25 +0100

lsof (4.74.dfsg.2-1) unstable; urgency=high

  * Removed all subdirectories from dialects/ except the Linux one, by
    request of Vic Abell <abe@purdue.edu>, lsof upstream.
  * Changed priority of lsof-2.2 package from standard to extra.

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 17 Mar 2005 11:54:36 +0100

lsof (4.74.dfsg.1-1) unstable; urgency=high

  * Removed non-free "unpublished proprietary code" from source tarball,
    thanks to Peter Rockai for reporting. (closes: #299063)

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 14 Mar 2005 22:15:36 +0100

lsof (4.74-1) unstable; urgency=low

  * New upstream release.
  * Raised version of debhelper build-dependency.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 05 Feb 2005 23:31:25 +0100

lsof (4.73-1) unstable; urgency=low

  * New upstream release.
  * Added lsof-2.2 upgrade package. (closes: #108341)

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 27 Nov 2004 21:56:33 +0100

lsof (4.72-1) unstable; urgency=low

  * New upstream release.
  * Bumped up standards-version, no changes needed.

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 02 Aug 2004 23:46:33 +0200

lsof (4.71-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 03 Apr 2004 17:32:46 +0200

lsof (4.70-1) unstable; urgency=medium

  * New upstream release. (closes: #199017)
  * Removed lsof-2.2 provides. (closes: #223908)
  * New co-maintainer: Norbert Tretkowski <nobse@debian.org>.
  * Added debian/watch file, thanks to Filippo Giunchedi.
  * Bumped up standards-version, no changes needed.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 22 Feb 2004 23:33:16 +0100

lsof (4.64-1) unstable; urgency=low

  * New upstream version (Closes: #152196)
  * Fixed grammar in description (Closes: #145387)
  * Moved to /usr/bin (with link to /usr/sbin) to 
    conform with FSSTND and traceroute (Closes: #55587)

 -- Jim Mintha <jmintha@debian.org>  Thu, 18 Jul 2002 01:28:50 +0200

lsof (4.57-1) unstable; urgency=low

  * New upstream version.

 -- Jim Mintha <jmintha@debian.org>  Sun, 22 Jul 2001 03:21:07 +0200

lsof (4.55-2) unstable; urgency=low

  * Add Provides for lsof-2.2 (Closes: Bug#94922)

 -- Jim Mintha <jmintha@debian.org>  Mon, 23 Apr 2001 01:45:03 +0200

lsof (4.55-1) frozen unstable; urgency=low

  * New upstream version (Closes: Bug#57203)
  * Rename package back to just lsof (Closes: Bug#91231, Bug#87403)
  * Fixes not showing flock type locks (Closes: Bug#67236)

 -- Jim Mintha <jmintha@debian.org>  Thu, 12 Apr 2001 03:41:42 +0200

lsof (4.48-1) frozen unstable; urgency=medium

  * New upstream version
  * compatible with linux 2.3.x kernels (#55242)
  * -r doesn't hang anymore (#44573)
  * /proc based lsof doesn't need setgid kmem
  * fix grammer error in description (#56872)
  
 -- Jim Mintha <jmintha@debian.org>  Mon, 31 Jan 2000 00:43:03 +0100

lsof (4.43-1) unstable; urgency=low

  * New upstream version.
  * Dynamically create the control file based on kernel version
  * create a virtual package lsof that the different kernel version
    will provide and conflict with.
  * Support of 2.2 kernels (/proc based so don't need a verson for
    each kernel
  * This should build on glibc 2.1 systems (tested on SPARC)

 -- Jim Mintha <jmintha@debian.org>  Sat, 15 May 1999 22:50:27 +0200

lsof (4.37-4) stable; urgency=low

  * Add control file to build for 2.0.36 kernel version

 -- Jim Mintha <jmintha@debian.org>  Wed, 14 Apr 1999 01:04:09 +0200

lsof (4.37-3) unstable stable frozen; urgency=high

  * Patched to get rid of buffer overflow security problem (#33538)

 -- Jim Mintha <jmintha@debian.org>  Thu, 18 Feb 1999 08:28:57 -0800

lsof (4.37-2) unstable; urgency=low

  * Binary wasn't being installed sgid kmem (#28548)
  * .dsc file has lsof2.0.25 instead of lsof-2.0.35 (#28546)

 -- Jim Mintha <jmintha@debian.org>  Mon, 26 Oct 1998 22:42:21 +0100

lsof (4.37-1) unstable; urgency=low

  * New upstream version.
  * Change to use debhelper scripts
  * Binary packages now contain kernel version number

 -- Jim Mintha <jmintha@debian.org>  Wed, 14 Oct 1998 23:32:46 +0200

lsof (4.28-2) frozen unstable; urgency=medium

  * Change package name to include kernel version (#24327)
  * Small patch to build with new glibc stuff.

 -- Jim Mintha <jmintha@debian.org>  Thu, 16 Jul 1998 05:01:38 -0700

lsof (4.28-1) unstable; urgency=low

  * New upstream version.
  * Fixed example scripts to call perl in the proper location

 -- Jim Mintha <jmintha@debian.org>  Sun, 15 Mar 1998 04:42:33 -0800

lsof (4.26-1) unstable; urgency=low

  * New upstream version.
  * Update docs to warn about kernel version dependencies (#17614)

 -- Jim Mintha <jmintha@debian.org>  Mon, 23 Feb 1998 00:05:52 -0800

lsof (4.25-1) unstable; urgency=low

  * New upstream version.
  * Patch to read /boot/System.map-`uname -r` now in upstream version.

 -- Jim Mintha <jmintha@debian.org>  Thu, 12 Feb 1998 01:06:57 -0800

lsof (4.23-1) unstable; urgency=low

  * New upstream version.
  * added patch by upstream maintainer to read /boot/System.map-`uname -r`
    instead of /System.map. (#16972)

 -- Jim Mintha <jmintha@debian.org>  Sun, 18 Jan 1998 18:21:14 -0800

lsof (4.22-1) unstable; urgency=low

  * New upstream version.
  * build with newer version of deb-make (#15410)
  * don't include automatically built files in the diff.
  * New maintainer.

 -- Jim Mintha <jmintha@debian.org>  Thu, 15 Jan 1998 04:20:43 -0800

lsof (4.18-1) unstable; urgency=low

  * New upstream version
  * Rebuild with libc6 (#11715).
  * Include scripts as examples.

 -- Michael Meskes <meskes@debian.org>  Tue, 28 Oct 1997 12:11:06 +0100

lsof (4.15-1) unstable; urgency=low

  * New upstream version (#7551).
  * Compiled with support for kernel 2.1.* (#8270).
    this also fixes (#10160)
  * New maintainer.

 -- Michael Meskes <meskes@topsystem.de>  Fri, 29 Aug 1997 10:22:00 +0200

lsof (3.65-5) frozen unstable; urgency=low

  * added patch by Helmut Geyer <Helmut.Geyer@IWR.Uni-Heidelberg.De>
    to read /boot/System.map-`uname -r` instead of /System.map.
    This fixes bug#4888. 
  * changed maintainer address to <dominik@debian.org>.

 -- Dominik Kubla <dominik@debian.org>  Thu, 14 Nov 1996 16:08:30 +0100

lsof (3.65-4) unstable; urgency=low

  * manual pages are now installed in "gzip -9" format as per
    "Debian Policy Manual", section 3.2.1

  * copyright file is now installed in /usr/doc/lsof as per
    "Debian Policy Manual", section 3.2.5

  * changelog file is now installed in /usr/doc/lsof as per
    "Debian Policy Manual", section 3.2.6

  * package is now build with CFLAGS set to '-O2 -g -Wall' as per
    "Debian Policy Manual", section 4.1

 -- Dominik Kubla <dominik@debian.org>  Thu, 14 Nov 1996 16:08:30 +0100

lsof (3.65-4) unstable; urgency=low

  * manual pages are now installed in "gzip -9" format as per
    "Debian Policy Manual", section 3.2.1

  * copyright file is now installed in /usr/doc/lsof as per
    "Debian Policy Manual", section 3.2.5

  * changelog file is now installed in /usr/doc/lsof as per
    "Debian Policy Manual", section 3.2.6

  * package is now build with CFLAGS set to '-O2 -g -Wall' as per
    "Debian Policy Manual", section 4.1

 -- Dominik Kubla <Dominik.Kubla@Uni-Mainz.DE>  Sun, 29 Sep 1996 17:14:11 +0200

lsof (3.65-3) unstable; urgency=low

  * Converted to new packaing standards.

 -- Dominik Kubla <Dominik.Kubla@Uni-Mainz.DE>  Fri, 20 Sep 1996 17:00:00 +0200

